import * as $dara from '@darabonba/typescript';
import { ModifyInstanceAutoRenewAttributeResponseBody } from "./ModifyInstanceAutoRenewAttributeResponseBody";
export declare class ModifyInstanceAutoRenewAttributeResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ModifyInstanceAutoRenewAttributeResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
